SD_JOURNAL_GET_FD(3)

NAME
sd_journal_get_fd, sd_journal_get_events, sd_journal_get_timeout, sd_journal_process, sd_journal_wait, sd_journal_reliable_fd - Journal change notification interface

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_get_fd(sd_journal *j);

int sd_journal_get_events(sd_journal *j);

int sd_journal_get_timeout(sd_journal *j, uint64_t *timeout_usec);

int sd_journal_process(sd_journal *j);

int sd_journal_wait(sd_journal *j, uint64_t timeout_usec);

int sd_journal_reliable_fd(sd_journal *j);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_get_fd, sd_journal_get_events, sd_journal_get_timeout, sd_journal_process, sd_journal_wait and sd_journal_reliable_fd do nothing.

RETURN VALUE

All of the functions sd_journal_get_fd, sd_journal_get_events, sd_journal_get_timeout, sd_journal_process and sd_journal_wait return -ENOSYS. sd_journal_reliable_fd returns 1.

SEE ALSO

elogind(8), sd_journal_open(3), sd_journal_next(3), poll(2), clock_gettime(2)